<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Aircraft's</title>
    <link rel="stylesheet" href="src/style/body.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.bundle.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>

    <!-- >>>>>>>>>> MY SCRIPT <<<<<<<<<< -->
    <script src="src/class/AircraftRepository.js"></script>
    <script src="src/class/Action.js"></script>
    <script src="src/class/Aircraft.js"></script>
    <script src="src/class/MilitaryAircraft.js"></script>
    <script src="src/class/CivilAircraft.js"></script>
    <script src="src/class/DataManager.js"></script>
    <script src="src/class/BuildAllAircraftTable.js"></script>
    <script src="src/class/BuildCivilAircraftTable.js"></script>
    <script src="src/class/BuildMilitaryAircraftTable.js"></script>
    <script src="src/class/Subject.js"></script>
    <script src="src/class/Routing.js"></script>
    <script src="src/class/myAnimation.js"></script>
    <script src="src/class/InformationNotification.js"></script>
    <script src="src/class/BuildModal.js"></script>
    <script src="src/class/DataCreator.js"></script>
    <script src="src/class/PropertyComparison.js"></script>
    <script src="src/class/AverageData.js"></script>
    <script src="src/class/GeneralMemory.js"></script>


    <script src="src/main.js"></script>


    <!-- >>>>>>>>>> END MY SCRIPT <<<<<<<<<< -->

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
<div id="loadingPageID"></div>
<nav class="navbar navbar-expand-lg navbar-light bg-light static-top mb-5 shadow loadAnimation-nav">

    <div class="buttonBar" id="buttonBar">
        <button class="btn  btn-cycle btn-lg"  onclick="openSearchModal()" id="btnSearch"><i id="searchIcon" class="fas fa-search"></i></button>
        <button class="btn btn-success btn-cycle btn-lg"  onclick="openCreateModal()" id="btnAdd"><i id="createIcon" class="fa fa-plus"></i></button>
    </div>
    <div class="searchText  hide" id="search">
        <div class="searchTextContainer">

            <input id="search-input" placeholder="Suche...">
            <span  id="btnSearch2"><i id="" class="fas fa-search"></i></span>
            <span class="btn  btn-cycle " id="closeTab" onclick="closeSearchModal()"  ><i id="close" class="fas fa-times"></i></span>
        </div>
    </div>
    <div class="loadAnimationBackground hide">
        <div class="loadAnimation"></div>
            <div class="loadAnimationBlue"></div>
                <div class="loadAnimationRed"></div>


    </div>
    <div class="container">
        <a class="navbar-brand" href="./" >Aircraft <i class="fab fa-avianex"></i><i class="fa fa-spinner fa-spin disabled-reload" id="reload"></i></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
                aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item" id="all_li">
                    <a class="nav-link" id="id_all" href="#all">All Aircraft's <i class="fas fa-paper-plane"></i></a>
                </li>
                <li class="nav-item" id="civil_li">
                    <a class="nav-link" id="id_civil" href="#civil">Civil Aircraft's <i class="fas fa-plane"></i></a>
                </li>
                <li class="nav-item" id="military_li">
                    <a class="nav-link" id="id_military" href="#military">Military Aircraft's <i class="fas fa-fighter-jet"></i></a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<!-- Page Content -->
<div class="container-fluid" id="box">

</div>




<div class="modal fade" id="edit-modal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title"></h4>
                <button type="button" class="close text-white" data-dismiss="modal" style="text-shadow: 0 0px 0 #fff;" >&times;</button>
            </div>
            <!-- Modal body -->
            <div class="modal-body">
                <form method="post" id="edit-aircraft">
                    <div class="form-row row">
                        <input type="hidden" class="form-control" id="id" name="id">
                        <div class="form-group col-md-12">
                            <label for="name" class="col-form-label">Name:</label>
                            <input type="text" class="form-control" id="name" name="name" required>
                        </div>
                        <div class="form-group col-md-12" id="typ-div">
                            <label for="typ">Flugzeug Typ:</label>
                            <select id="typ" name="typ" class="form-control" disabled onchange="selectCreateAircraft(this.value)">
                                <option disabled selected hidden>Auswählen ...</option>
                                <option value="civil">Civil Aircraft</option>
                                <option value="military">Military Aircraft</option>
                            </select>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="distance" class="col-form-label">Reichweite:</label>
                            <input type="number" min="0" step="1" class="form-control" id="distance" name="distance" required >
                        </div>
                        <div class="form-group  col-md-6">
                            <label for="seatCount" class="col-form-label">Typische Sitzanzahl:</label>
                            <input type="number" min="0" step="1" class="form-control" id="seatCount" name="seatCount"  required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="maxSeatCount" class="col-form-label">Maximale Sitzanzahl:</label>
                            <input type="number" min="0" step="1" class="form-control" id="maxSeatCount" name="maxSeatCount" required >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="length" class="col-form-label">Länge:</label>
                            <input type="number" min="0" step="0.01" class="form-control" id="length" name="length" required >
                        </div>
                        <div class="form-group col-md-6">
                            <label for="height" class="col-form-label">Höhe:</label>
                            <input type="number" min="0" step="0.01" class="form-control" id="height" name="height" required >
                        </div>
                        <div class="form-group  col-md-6">
                            <label for="wingSpan" class="col-form-label">Flügelspannweite:</label>
                            <input type="number" min="0" step="0.01" class="form-control" id="wingSpan" name="wingSpan" required >
                        </div>
                        <div class="form-group  col-md-6">
                            <label for="consumption" class="col-form-label">Verbrauch:</label>
                            <input type="number" min="0" step="0.01" class="form-control" id="consumption" name="consumption" required >
                        </div>

                        <div class="form-group col-md-12" id="gateLicense-modal">
                            <label for="gateLicense">Gate Lizenz:</label>
                            <select id="gateLicense" name="gateLicense" class="form-control" disabled>
                                <option disabled selected hidden>Auswählen ...</option>
                                <option value="1">Ja</option>
                                <option value="0">Nein</option>
                            </select>
                        </div>
                        <div class="form-group  col-md-6" id="flare-modal">
                            <label for="flare">Flares:</label>
                            <select id="flare" name="flare" class="form-control" disabled>
                                <option disabled selected hidden>Auswählen ...</option>
                                <option value="1">Ja</option>
                                <option value="0">Nein</option>
                            </select>
                        </div>
                        <div class="form-group col-md-6" id="airRefueling-modal">
                            <label for="airRefueling">Luftbetankung:</label>
                            <select id="airRefueling" name="airRefueling" class="form-control" disabled>
                                <option disabled selected hidden>Auswählen ...</option>
                                <option value="1">Ja</option>
                                <option value="0">Nein</option>
                            </select>
                        </div>
                        <div class=" col-md-3" id="delete-btn-div">
                            <button type="button" id="edit-delete" class="btn btn-danger btn-block">Löschen</button>
                        </div>
                        <div class=" col-md-9" id="submit-btn-div">
                            <button type="button" id="edit-submit" class="btn btn-primary btn-block">Senden</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade " id="charts-modal">
    <div class="modal-dialog modal-lg chartsModal">
        <div class="modal-content ">
            <!-- Modal Header -->
            <div class="modal-header ">
                <h4 class="modal-title">Übersicht</h4>
                <button type="button" class="close text-white" data-dismiss="modal" style="text-shadow: 0 0px 0 #fff;" >&times;</button>
            </div>
            <!-- Modal body  polar-area -->
            <div class="modal-body">

            </div>
        </div>
    </div>
</div>
</body>

</html>